A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
transformCoordinates
ArrayFire Functions | ArrayFire Functions by Category » Image Processing » Image transformations

## Functions
AFAPI array | transformCoordinates (const array &tf, const float d0, const float d1)
| C++ Interface for transforming coordinates.
AFAPI af_err | af_transform_coordinates (af_array *out, const af_array tf, const float d0, const float d1)
| C Interface for transforming an image C++ Interface for transforming coordinates.

## Detailed Description

Transform input coordinates

The transform function uses a perspective transform matrix to transform input coordinates (given as two dimensions) into a coordinates matrix.

The output is a 4x2 matrix, indicating the coordinates of the 4 bidimensional transformed points.

## Function Documentation

## ◆ af_transform_coordinates()

AFAPI af_err af_transform_coordinates | ( | af_array * | out,
|  | const af_array | tf,
|  | const float | d0,
|  | const float | d1 )

C Interface for transforming an image C++ Interface for transforming coordinates.

Parameters

  [out] | out | the transformed coordinates
  [in] | tf | is transformation matrix
  [in] | d0 | is the first input dimension
  [in] | d1 | is the second input dimension

## ◆ transformCoordinates()

AFAPI array transformCoordinates | ( | const array & | tf,
|  | const float | d0,
|  | const float | d1 )

C++ Interface for transforming coordinates.

Parameters

  [in] | tf | is transformation matrix
  [in] | d0 | is the first input dimension
  [in] | d1 | is the second input dimension

Returns
  the transformed coordinates